# IntlCalendar::getGreatestMinimum

(PHP 5 >= 5.5.0, PHP 7, PECL >= 3.0.0a1)

IntlCalendar::getGreatestMinimum — Get the largest local minimum value for a field

### Description

Object oriented style

public IntlCalendar::getGreatestMinimum ( int `$field` ) : int

Procedural style

intlcal_get_greatest_minimum ( IntlCalendar `$cal` , int `$field` ) : int

Returns the largest local minimum for a field. This should be a value larger or equal to that returned by IntlCalendar::getActualMinimum(), which is in its turn larger or equal to that returned by IntlCalendar::getMinimum(). All these three functions return the same value for the Gregorian calendar.

### Parameters

`cal`

  The IntlCalendar resource.

`field`

  One of the IntlCalendar date/time field constants. These are integer values between 0 and `IntlCalendar::FIELD_COUNT`.

### Return Values

An int representing a field value, in the fieldʼs unit, or `FALSE` on failure.